<?php

namespace App\Http\Controllers\Gteam;

use App\Http\Controllers\Controller;
use App\Http\Controllers\Miniprogram\Auth;
use App\Services\Gteam\UserService;

class UserController extends Controller
{
    /**
     * 获取某个用户信息
     * @param  int  $uid
     * @return array
     * @throws \Tymon\JWTAuth\Exceptions\JWTException
     */
    public function getUser(int $uid)
    {
        Auth::auth();
        $us = new UserService();
        $data = $us->getUser($uid);
        return array(
            'code' => 200,
            'message' => 'success',
            'data' => $data
        );
    }
}
